分享deno1.6.3 for centos 7

原来官方提供的deno二进制文件不支持centos7,这个是自行编译的。

放到gitee了:

deno1.6.3-for-centos7.zip

1赞

是因为 libc 的版本问题吧

1赞

是的, deno默认用了 libc 2.18,在centos7下执行会出现下面这个错误。

/lib64/libc.so.6: version `GLIBC_2.18' not found (required by deno)

因为服务器升不了级,所以编译一个来用,顺便分享给有需要的。

可以在下面仓库了解如何编译,及下载centos7 下的deno二进制文件。

可以写个脚本自动同步官方 release/tags,自动编译